import { type LockfileObject } from '@pnpm/lockfile.types';
import { type DependenciesField, type Project, type ProjectId, type ProjectManifest } from '@pnpm/types';
declare const INHERITED_MANIFEST_KEYS: ["name", "description", "version", "private", "author", "type", "bin", "scripts", "packageManager", "dependenciesMeta", "peerDependenciesMeta"];
export type DeployManifest = Pick<ProjectManifest, typeof INHERITED_MANIFEST_KEYS[number] | DependenciesField | 'pnpm'>;
export interface CreateDeployFilesOptions {
    allProjects: Array<Pick<Project, 'manifest' | 'rootDirRealPath'>>;
    deployDir: string;
    lockfile: LockfileObject;
    lockfileDir: string;
    rootProjectManifest?: Pick<ProjectManifest, 'pnpm'>;
    selectedProjectManifest: DeployManifest;
    projectId: ProjectId;
    rootProjectManifestDir: string;
}
export interface DeployFiles {
    lockfile: LockfileObject;
    manifest: DeployManifest;
}
export declare function createDeployFiles({ allProjects, deployDir, lockfile, lockfileDir, rootProjectManifest, selectedProjectManifest, projectId, rootProjectManifestDir, }: CreateDeployFilesOptions): DeployFiles;
export {};
